fw_printenv(8)

NAME
fw_printenv - Tool for printing the environment for the bootloader U-Boot

SYNOPSIS
fw_printenv [ name ... ]

DESCRIPTION
fw_printenv is a simple tool for printing the environment for the bootloader U-Boot. All environment variables matching the names given as arguments are shown. If fw_printenv is called without any arguments the entire environment is printed. This version of fw_printenv stems from libubootenv and does not hold a built-in default environment. Instead, the default environment is read from a file.

OPTIONS

-h  print a help message

-c, --config <filename>
    configuration file (old fw_env.config)

-f, --defenv <filename>
    default environment if no one found

-V  print program's version

-n, --no-header
    do not print variable name

FILES

/etc/fw_env.config
    Configuration file for fw_printenv. Default value of the --config option.

/etc/u-boot-initial-env
    Default U-Boot environment. Default value of the --defenv option.

SEE ALSO
fw_setenv(8)